ul.navbar-socialmedia {
  li.nav-item {
    color: #fff;

    & > a {
      // fix Chrome bug with &:before and link-inheritance
      position: relative;
      z-index: 10;
      //: end

      width: 1rem;
      height: 1rem;

      color: inherit;
      font-size: 1.1rem;
      text-decoration: none;

      &:hover {
        text-decoration: none;
      }

      &:before {
        position: relative;
        top: .1rem;
        min-width: 1.5rem;
        display: inline-block;
        padding: .15rem .15rem;
        border: 1px solid #fff;
        text-align: center;
      }

      &.link--instagram {
        &:before {
          @include fa-icon($fa-var-instagram);
        }

        &:hover {
          &:before {
            color: #fff;
            background: rgb(64,93,230);
            background: radial-gradient(
                circle at 30% 107%,
                #fdf497 0%,
                #fdf497 5%,
                #fd5949 45%,
                #d6249f 60%,
                #285AEB 90%
            );
          }
        }
      }

      &.link--facebook {
        &:before {
          @include fa-icon($fa-var-facebook);
        }

        &:hover {
          &:before {
            color: #fff;
            background: #4267B2;
            //border-color: #4267B2;
          }
        }
      }

      &.link--linked-in {
        &:before {
          @include fa-icon($fa-var-linkedin);
        }

        &:hover {
          &:before {
            color: #fff;
            background: #0072b1;
            //border-color: #0072b1;
          }
        }
      }

      &.link--xing {
        &:before {
          @include fa-icon($fa-var-xing);
        }

        &:hover {
          &:before {
            color: #fff;
            background: #126567;
          }
        }
      }
    }
  }
}
